﻿using ToolsModule.BusinessLogics;
using ToolsModule.Enums;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.Interfaces;
using SecurityBusinessLogic.ViewModels;

namespace SecurityBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с доступами
	/// </summary>
	public class AccessBusinessLogic : GenericBusinessLogic<AccessGetBindingModel, AccessSetBindingModel, AccessListViewModel, AccessViewModel>
	{
		public AccessBusinessLogic(IAccessService service) : base(service, "Доступы", AccessOperation.Доступы) { }
	}
}